package kr.co.compcarecompany.Data.Product;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.util.ArrayList;
import java.util.List;

import kr.co.compcarecompany.Data.ArrayItem;

public class AlMachineDatum {
    @SerializedName("mc_airline")
    @Expose
    private String mcAirline;
    @SerializedName("last_exchangedt")
    @Expose
    private String lastExchangeDt;
    @SerializedName("as_status")
    @Expose
    private String asStatus;
    @SerializedName("items")
    @Expose
    private List<MachineItem> items = null;
    private ArrayList<MachineItem> arrayList = null;
    private String pt_idx;
    private String pt_name;
    private String cp_idx;
    private String cp_name;
    private String cp_addr;
    private String cp_running_time;
    private String cp_running_day;

    public ArrayList<MachineItem> getArrayList() {
        return arrayList;
    }

    public String getMcAirline() {
        return mcAirline;
    }

    public void setMcAirline(String mcAirline) {
        this.mcAirline = mcAirline;
    }

    public String getLastExchangeDt() {
        return lastExchangeDt;
    }

    public void setLastExchangeDt(String lastExchangeDt) {
        this.lastExchangeDt = lastExchangeDt;
    }

    public String getAsStatus() {
        return asStatus;
    }

    public void setAsStatus(String asStatus) {
        this.asStatus = asStatus;
    }

    public List<MachineItem> getItems() {
        return items;
    }

    public void setItems(List<MachineItem> items) {
        this.items = items;
    }

    public String getPt_idx() {
        return pt_idx;
    }

    public void setPt_idx(String pt_idx) {
        this.pt_idx = pt_idx;
    }

    public String getPt_name() {
        return pt_name;
    }

    public void setPt_name(String pt_name) {
        this.pt_name = pt_name;
    }

    public String getCp_idx() {
        return cp_idx;
    }

    public void setCp_idx(String cp_idx) {
        this.cp_idx = cp_idx;
    }

    public String getCp_name() {
        return cp_name;
    }

    public void setCp_name(String cp_name) {
        this.cp_name = cp_name;
    }

    public String getCp_addr() {
        return cp_addr;
    }

    public void setCp_addr(String cp_addr) {
        this.cp_addr = cp_addr;
    }

    public String getCp_running_time() {
        return cp_running_time;
    }

    public void setCp_running_time(String cp_running_time) {
        this.cp_running_time = cp_running_time;
    }

    public String getCp_running_day() {
        return cp_running_day;
    }

    public void setCp_running_day(String cp_running_day) {
        this.cp_running_day = cp_running_day;
    }
}
